package servlet.examples.session;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.List;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;



public class ShoppingCart extends HttpServlet {

 
	private static final long serialVersionUID = -8104821686068599952L;

//	@SuppressWarnings("unchecked")
public void doPost(HttpServletRequest req, HttpServletResponse res)
                               throws ServletException, IOException {
    res.setContentType("text/html");
    PrintWriter out = res.getWriter();
//  Lekeri a szesszio objektumot, letrehozza, ha szukseges
    HttpSession session = req.getSession();

    // A bevasarlokosar elemei a szesszioban vannak tarolva
    
    List items = (List)session.getAttribute("items");
    if (items==null)
    {
    	items = new ArrayList();
    	session.setAttribute("items", items);
    }

    String newItem = req.getParameter("item");
    
    if (newItem!=null && !"".equals(newItem))
    {
    	items.add(newItem);
    }

    out.println("<HTML><HEAD><TITLE>SessionTracker</TITLE></HEAD>");
    out.println("<BODY><H1>Sesszikvets demo</H1>");

    // Kiirja a bevasarlokosar jelenlegi tartalmat.
    out.println("Jelenleg az alabbi termekek vannak a bevasarlokosaradban:<BR>");
    if (items.size()==0) {
      out.println("<B>Ures</B>");
    }
    else {
      out.println("<UL>");
      for (int i = 0; i < items.size(); i++) {
        out.println("<LI>" + items.get(i)+ "</LI>");
      }
      out.println("</UL>");
    }

    // Megkerdezi, hogy meg akarunk-e ujabb elemet a kosarba tenni.
    out.println("<FORM ACTION=\"" +
                res.encodeURL(req.getContextPath() + "/ShoppingCart.do") + "\" METHOD=POST>");    
    out.println("<INPUT TYPE=TEXT NAME=\"item\">");
    out.println("<INPUT TYPE=SUBMIT VALUE=\" Uj elem \">");
    out.println("</FORM>");
    out.println("</BODY></HTML>");
  }


public void doGet(HttpServletRequest req, HttpServletResponse res)
throws ServletException, IOException {
	doPost(req, res);
}
}
